### Method

# Atk Selection ref_selection

#### Declaration [src]

    AtkObject*
    atk_selection_ref_selection (
      AtkSelection* selection,
      gint i
    )

#### Description [src]

Gets a reference to the accessible object representing the specified selected child of the object. Note: callers should not rely on `NULL` or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the `atk_get_accessible_value()` convenience method.

#### Parameters

`i`

  Type: `gint`

  A #gint specifying the index in the selection set. (e.g. the ith selection as opposed to the ith child).

#### Return value

Type: `AtkObject`

An `AtkObject` representing the selected accessible, or `NULL` if `selection` does not implement this interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.